net.corda.node.services.messaging

## Class ArtemisMessagingComponent.NetworkMapAddress

- net.corda.node.services.messaging.ArtemisMessagingComponent.NetworkMapAddress

- All Implemented Interfaces:
    ArtemisMessagingComponent.ArtemisAddress, ArtemisMessagingComponent.ArtemisPeerAddress, MessageRecipients, SingleMessageRecipient
  Enclosing class:
    ArtemisMessagingComponent

      public static class ArtemisMessagingComponent.NetworkMapAddress
      implements SingleMessageRecipient, ArtemisMessagingComponent.ArtemisPeerAddress

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NetworkMapAddress(com.google.common.net.HostAndPort hostAndPort)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.common.net.HostAndPort` | `component1()`
    `ArtemisMessagingComponent.NetworkMapAddress` | `copy(com.google.common.net.HostAndPort hostAndPort)`
    `boolean` | `equals(java.lang.Object p)`
    `com.google.common.net.HostAndPort` | `getHostAndPort()`
    `java.lang.String` | `getQueueName()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from interface net.corda.node.services.messaging.ArtemisMessagingComponent.ArtemisPeerAddress

      `getHostAndPort`

    - ### Methods inherited from interface net.corda.node.services.messaging.ArtemisMessagingComponent.ArtemisAddress

      `getQueueName`

- - ### Constructor Detail

    - #### NetworkMapAddress

          public NetworkMapAddress(com.google.common.net.HostAndPort hostAndPort)

  - ### Method Detail

    - #### getQueueName

          public java.lang.String getQueueName()

    - #### getHostAndPort

          public com.google.common.net.HostAndPort getHostAndPort()

    - #### component1

          public com.google.common.net.HostAndPort component1()

    - #### copy

          public ArtemisMessagingComponent.NetworkMapAddress copy(com.google.common.net.HostAndPort hostAndPort)

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)